\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Envelopes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Envelope_diagram_2< EnvTraits >::Halfedge Class Reference

`#include <CGAL/envelope_3.h>`

## Inherits from

CGAL::Arrangement_2< class, class >::Halfedge.

## Access Functions
size_t | number_of_surfaces () const
| returns the number of \( xy\)-monotone surfaces that induce the halfedge.
Surface_const_iterator | surfaces_begin () const
| returns an iterator for the first \( xy\)-monotone surface that induces the halfedge.
Surface_const_iterator | surfaces_end () const
| returns a past-the-end iterator for the \( xy\)-monotone surfaces that induce the halfedge.
Xy_monotone_surface_3 | surface () const
| returns the first \( xy\)-monotone surface that induce `e`. More...

## Additional Inherited Members
Public Member Functions inherited from CGAL::Arrangement_2< class, class >::Halfedge
| Halfedge ()
bool | is_fictitious () const
Vertex_handle | source ()
Vertex_handle | target ()
Arr_halfedge_direction | direction () const
Face_handle | face ()
Halfedge_handle | twin ()
Halfedge_handle | prev ()
Halfedge_handle | next ()
Ccb_halfedge_circulator | ccb ()
const Traits::X_monotone_curve_2 & | curve () const

## Member Function Documentation

template<typename EnvTraits >

Xy_monotone_surface_3 CGAL::Envelope_diagram_2< EnvTraits >::Halfedge::surface | ( | ) |  | const

returns the first \( xy\)-monotone surface that induce `e`.

Precondition
  The number of surfaces is not 0.